summaryrefslogtreecommitdiffstats
path: root/graphics/XnViewMP
diff options
context:
space:
mode:
author Melvin Mawhin2017-07-29 12:47:17 +0200
committer Willy Sudiarto Raharjo2017-07-29 12:47:17 +0200
commitf266517e608aab655021f2b916110d5866f9c6b7 (patch)
tree712ed920255b4f3bfda10e8de7aaeca389c8002f /graphics/XnViewMP
parenta274528c11f5a66176cd1188a3dcebb5a37a34b7 (diff)
downloadslackbuilds-f266517e608aab655021f2b916110d5866f9c6b7.tar.gz
graphics/XnViewMP: Added (A Picture Viewer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics/XnViewMP')
-rw-r--r--graphics/XnViewMP/README5
-rw-r--r--graphics/XnViewMP/XnViewMP.SlackBuild82
-rw-r--r--graphics/XnViewMP/XnViewMP.info10
-rw-r--r--graphics/XnViewMP/doinst.sh3
-rw-r--r--graphics/XnViewMP/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/graphics/XnViewMP/README b/graphics/XnViewMP/README
new file mode 100644
index 0000000000..0ee6f83a4d
--- /dev/null
+++ b/graphics/XnViewMP/README
@@ -0,0 +1,5 @@
+XnView MP is the enhanced version of XnView Classic. It is a
+powerful cross-platform media browser, viewer and converter.
+Compatible with more than 500 formats.
+
+This repackages the original binary from the developers homepage.
diff --git a/graphics/XnViewMP/XnViewMP.SlackBuild b/graphics/XnViewMP/XnViewMP.SlackBuild
new file mode 100644
index 0000000000..b8eb6fefa1
--- /dev/null
+++ b/graphics/XnViewMP/XnViewMP.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for rlvm
+
+# Copyright 2017 Melvin Mawhin, Graz, Austria
+#
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=XnViewMP
+VERSION=${VERSION:-0.86}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ PACKAGE_SUFFIX="linux"
+elif [ "$ARCH" = "x86_64" ]; then
+ PACKAGE_SUFFIX="linux-x64"
+else
+ echo "Architecture not supported"
+ exit 1
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$PACKAGE_SUFFIX.tgz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mv * $PKG/opt
+cp $PKG/opt/XnView/XnView.desktop $PKG/usr/share/applications
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/XnViewMP/XnViewMP.info b/graphics/XnViewMP/XnViewMP.info
new file mode 100644
index 0000000000..fe302633b9
--- /dev/null
+++ b/graphics/XnViewMP/XnViewMP.info
@@ -0,0 +1,10 @@
+PRGNAM="XnViewMP"
+VERSION="0.68"
+HOMEPAGE="http://www.xnview.com/en/xnviewmp/"
+DOWNLOAD="http://download.xnview.com/XnViewMP-linux.tgz"
+MD5SUM="36e1b668e052d5a2b30a120a129cbc80"
+DOWNLOAD_x86_64="http://download.xnview.com/XnViewMP-linux-x64.tgz"
+MD5SUM_x86_64="5a6ebf3495b8f333130f5e3f18c51433"
+REQUIRES=""
+MAINTAINER="Melvin Mawhin"
+EMAIL="mmawhin@hotmail.com"
diff --git a/graphics/XnViewMP/doinst.sh b/graphics/XnViewMP/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/graphics/XnViewMP/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/graphics/XnViewMP/slack-desc b/graphics/XnViewMP/slack-desc
new file mode 100644
index 0000000000..246c906692
--- /dev/null
+++ b/graphics/XnViewMP/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+XnViewMP: XnViewMP (A Picture Viewer)
+XnViewMP:
+XnViewMP: XnView MP is the enhanced version of XnView Classic. It is a
+XnViewMP: powerful cross-platform media browser, viewer and converter.
+XnViewMP: Compatible with more than 500 formats.
+XnViewMP:
+XnViewMP:
+XnViewMP:
+XnViewMP:
+XnViewMP:
+XnViewMP: